<html>
<head>
<title>Bootstrap Responsive Form</title>
 <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
</head>
<body>
<div class="container">
<h2 style="text-align:center">Registration Form</h2>
  <form  id="myform" action="action1.html"  method="POST">
    <div class="form-group">
      <label for="firstname">First Name :<span class="form-required" style="color:red"> *</span></label>
      <input type="text" class="form-control" id="firstname" placeholder="Enter first name" autocomplete="off"><span id="username" class="text-danger  text-weight-bold" ></span>
	</div>
    <div class="form-group">
      <label for="lastname"> Last Name :<span class="form-required" style="color:red"> *</span></label>
      <input type="text" class="form-control" id="lastname" placeholder="Enter last name" autocomplete="off"><span id="lastnames" class="text-danger  text-weight-bold" ></span>
    </div>
	<div class="form-group">
    <label for="emailId">Email address :<span class="form-required" style="color:red"> *</span></label>
    <input type="email1" class="form-control" id="emailId" aria-describedby="emailHelp" placeholder="Enter email" autocomplete="off"><span id="emails" class="text-danger  text-weight-bold" ></span>
    <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
  </div>
  <div class="form-group ">
    <label for="InputPassword">Password :<span class="form-required" style="color:red"> *</span></label>
    <input type="password" class="form-control" id="InputPassword" placeholder="Password" autocomplete="off"><span id="pass" class="text-danger  text-weight-bold" ></span>
	
	 <div class="custom-control custom-checkbox">
    <input type="checkbox" class="custom-control-input" id="customControlInline">
   <!--<label class="custom-control-label" for="customControlInline">show password</label>-->
	<small id="passwordHelpInline" class="text-muted">Must be 6-20 characters long.</small>
  </div>
  </div>
  <div class="form-group">
    <label for="ConfirmPassword1">Confirm Password :<span class="form-required" style="color:red"> *</span></label>
    <input type="password" class="form-control" id="ConfirmPassword1" placeholder="Confirm Password" autocomplete="off"><span id="confirmpass" class="text-danger  text-weight-bold" ></span>
	
	<div class="custom-control custom-checkbox">
    <input type="checkbox" class="custom-control-input" id="customControlInline1">
   <!-- <label class="custom-control-label" for="customControlInline1">show confirm password</label>-->
	<small id="passwordHelpInline" class="text-muted"> Must be 6-20 characters long.</small>
  </div>
  </div>
   <div class="form-group">
    <label for="mb1">Mobile No. :<span class="form-required" style="color:red"> *</span></label>
    <input type="text" class="form-control" id="mb1" placeholder="Enter mobile no." autocomplete="off"><span id="mobile1" class="text-danger  text-weight-bold" ></span>
	
	 <div class="form-group">
      <label  for="dob1">Date of Birth :<span class="form-required" style="color:red"> *</span></label>
      <input type="date"  class="form-control text" id="dob1"  placeholder="" autocomplete="off"><span id="dobid" class="text-danger  text-weight-bold" ></span>
	</div>
	
	 <div class="form-group">
      <label for="address1">Address :<span class="form-required" style="color:red"> *</span></label>
      <input type="text" class="form-control" id="address1" placeholder="Enter your address" autocomplete="off"><span id="addrss" class="text-danger  text-weight-bold" ></span>
	</div>
	
	<div class="form-group">
    <label for="FormControlSelect1">Highest Qualification :<span class="form-required" style="color:red"> *</span></label>
    <select class="form-control" id="FormControlSelect1">
      <option>-select-</option>
      <option>Matric</option>
      <option>Intermediate</option>
      <option>BCA</option>
      <option>B.Tech</option>
      <option>MCA</option>
      <option>MBA</option>
      <option>Phd</option>
    </select>
	<span id="choose" class="text-danger  text-weight-bold"></span>
  </div>
  
   <div class="form-group">
    <label for="FormControlSelect2">Select multiple profile</label>
    <select multiple class="form-control" id="FormControlSelect2">
	 <option>Web Developer</option>
	 <option>.Net Developer</option>
      <option>java Engineer</option>
      <option>php Developer</option>
      <option>Web Designer</option>
      <option>Banker</option>
      <option>Marketing</option>
    </select><span id="multiselect" class="text-danger  text-weight-bold" ></span>
  </div>
  
 <div class="form-group"> 
<label class="radio-inline">gender :<span class="form-required" style="color:red"> *</span>
 <input type="radio" id="male" name="optradio">  Male
   </label>
   <label class="radio-inline">
    <input type="radio"  id="female" name="optradio">  Female
    </label>
    <label class="radio-inline">
    <input type="radio"  id="other" name="optradio">  other
    </label><span id="radio2" class="text-danger  text-weight-bold" ></span>
	</div>
<div class="form-group">
<label>Programming Languages :<span class="form-required" style="color:red"> * </span></label>	
<label class="checkbox-inline"><input type="checkbox" value="" id="agree">  C  </label>
<label class="checkbox-inline"><input type="checkbox" value="" id="agr">  C++  </label>
<label class="checkbox-inline"><input type="checkbox" value="" name="agree">  JAVA  </label>
<label class="checkbox-inline"><input type="checkbox" value="" name="agree">  C#  </label>
<label class="checkbox-inline"><input type="checkbox" value="" name="agree">  JavaScript  </label>
<span id="checkboxees" class="text-danger  text-weight-bold" ></span>
</div>
  <div class="form-group">
   <label for="FormControlFile1">upload your resume <span class="form-required" style="color:red"> *</span></label>
   <input type="file" class="form-control-file" id="FormControlFile1"><span id="myresume" class="text-danger  text-weight-bold" ></span>
  </div>
  
 <div class="form-group">
 <label for="Textarea1">Comments and Questions :</label>
 <textarea class="form-control" id="Textarea1" rows="5" placeholder="Enter your Suggestion......." autocomplete="off" ></textarea><span id="txtar" class="text-danger  text-weight-bold" ></span>
  
  <div class="form-check">
    <input type="checkbox" class="form-check-input" id="Checkbox1" value="Check me out">
    <label class="form-check-label" for="Checkbox1" >Check me out</label>
  </div>
</div>
<button type="submit"  name="Submit" class="btn btn-primary">Submit</button>
<button type="reset" value="Reset" class="btn btn-danger">Reset</button>
</form>

<script>
$(document).ready(function()
{
		
	$('#myform').submit(function()  
	{
		var fname= $('#firstname').val();
		var lname= $('#lastname').val();
		var email_id= $('#emailId').val();
		var pass1= $('#InputPassword').val();
		var conpass= $('#ConfirmPassword1').val();
		var mobile1= $('#mb1').val();
		var db= $('#dob1').val();
		var dateformat = /^(0?[1-9]|1[0-2])[\/](0?[1-9]|[1-2][0-9]|3[01])[\/]\d{4}$/; 
		
		var ad1= $('#address1').val();
		var selectone= $('#FormControlSelect1').val();
		var mulselect= $('#FormControlSelect2').val();
		var x = $("input[type = 'radio']:checked");  
		var check1= $("input[type='checkbox']:checked");
		var cv= $('#FormControlFile1').val();
		var textarea= $('#Textarea1').val();

		validateName(fname);
		validateLname(lname);
		validateEmail(email_id);
		validatePassword(pass1);
		validateconfirmpassword(conpass);
		validateMobile(mobile1);
		validateDob(db);
		validateAddress(ad1);
		validateSelectOne(selectone);
		validateMultiSelect(mulselect);
		validateRadioButton(x);
		validateCheckbox(check1);
		validateUploadFile(cv);
		validateTextarea(textarea);

		if(fnameError == false && lnameError == false && emailError == false && passwordError == false  && confirmpassError == false && mobileError == false && dobError == false && addressError == false && selectoneError == false && multiselectError == false && radioBtnError == false && checkboxError == false && uploadfileError == false && textareaError == false )
		{
			return true;
		}
		else
		{
			return false;
		}
	
		var fnameError=true;
		var lnameError=true;
		var emailError=true;
		var passwordError=true;
		var confirmpassError=true;
		var mobileError=true;
		var dobError=true;
		var addressError=true;
		var selectoneError=true;
		var multiselectError=true;
		var radioBtnError=true;
		var checkboxError=true;
		var uploadfileError=true;
		var textareaError=true;
		
		
		
		
		

		function validateName(fname)
		{
			if(fname.trim() == "")
			{
				//alert(fname);
				fnameError=true;
				$('#username').text(" **please Enter your first name");
			} 
			else if((fname.length <= 2) || (fname.length > 20))
			{
				fnameError=true;
				$('#username').text(" **characters must be between 2 and 20");
			 
			}
			else if(!isNaN(fname))
			{
				fnameError=true;
				$('#username').text(" **only characters are allowed");
				 
			}
			else{
				fnameError=false;
				$('#username').text("");
			}
			return fnameError;
		}
		function validateLname(lname)
		{
			if (lname.trim() == "") 
			{
				lnameError=true;
				$('#lastnames').text(" **please Enter your Last Name");
			}
			else if(lname.length <= 2 || (lname.length > 20))
			{
				lnameError=true;
				$('#lastnames').text(" **characters must be between 2 and 20");
			}
			else if(!isNaN(lname))
			{
				lnameError=true;
				$('#lastnames').text(" **only characters are allowed");
			}
			else
			{
				lnameError=false;
				$('#lastnames').text("");
			}
			return lnameError;
		}
		function validateEmail(email_id)
		{
			var reg=/^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;	
			if (email_id.trim() == "") 
			{
				emailError=true;
				$('#emails').text(" **please Enter your Emailid");	 
			}
			else if (email_id.match(reg))
			{
				emailError=true;
				$('#emails').text("");	
			} 
			else if(email_id.indexOf('@')<=0)
			{
				emailError=true;
				$('#emails').text=(" ** @  at invalid position");	 
			}
			else if(email_id.charAt(email_id.length-4)!=".")
			{
				emailError=true;
				$('#emails').text=(" **invalid position at 4");	 
			}
			else
			{
				emailError=false;
				$('#emails').text("");
			}
			return emailError;
		}
		function validatePassword(pass1)
		{
			if( pass1.trim() == "")
			{
				passwordError=true;
				$('#pass').text(" **please fill the password");	
			}
			else if(pass1.length<6)
			{	
				passwordError=true;  
				//alert("Password must be at least 6 characters long.");
				$('#pass').text(" **password must be 6 characters long.");		
			}
			else
			{
				passwordError=false;
				$('#pass').text("");
			}
			return passwordError;
		}
		function validateconfirmpassword(conpass)
		{
			var pass1= $('#InputPassword').val();
			if(conpass.trim() == "")
			{
				confirmpassError=true;
				$('#confirmpass').text(" **please fill the confirm password");
			}
			else if(pass1!=conpass)
			{ 
				confirmpassError=true; 
				//alert("password is not matching!");	
				$('#confirmpass').text(" **Password did not match: Please try again..."); 
			}	
			else 
			{
				confirmpassError=false;
				$('#confirmpass').text("");
			}
			return confirmpassError; 
		}
		function validateMobile(mobile1)
		{
			if(mobile1.trim() == "")
			{
				mobileError=true;
				$('#mobile1').text(" **please Enter your  mobile no.");
			}
			else if(isNaN(mobile1))
			{
				mobileError=true;
				$('#mobile1').text(" **only digits are allowed.");
				
			}
			else if(mobile1.length!=10)
			{
				mobileError=true;
				$('#mobile1').text(" **Number must be 10 digits only.");
				
			}
			else
			{
				mobileError=false;
				$('#mobile1').text("");
			}
			return mobileError;
		}

		function validateDob(db)
		{
			if(db.trim() == "")
			{
				dobError=true;
				$('#dobid').text(" **please Enter your date of Birth");
			}
			else
			{
				dobError=false;
				$('#dobid').text("");
			}
				return dobError;
		}
		function validateAddress(ad1)
		{
			if(ad1.trim() == "")
			{
				addressError=true;
				$('#addrss').text(" **please Enter your address");
				//alert("Enter your address");
				//fname.focus();
			}
			else if(ad1.length <= 5 || (ad1.length > 50))
			{
				addressError=true;
				$('#addrss').text(" **characters must be between 5 and 50");	 
			}
			else
			{
				
				addressError=false;
				$('#addrss').text("");
			}
				return addressError;
		}
		function validateSelectOne(selectone)
		{
			if(selectone == "-select-")
			{
				selectoneError=true;
				$('#choose').text(" **please select option");
			}
			else
			{
				selectoneError=false;
				$('#choose').text("");
			}
				return selectoneError;
		}	
		function validateMultiSelect(mulselect)
		{
			if(mulselect == "")
			{
				multiselectError=true;
				$('#multiselect').text(" **please select multiple option");	 
			} 
			else
			{
				multiselectError=false;
				$('#multiselect').text("");
			}
				return multiselectError;
		}
		function validateRadioButton(x)
		{
		
			if(x.length==0) 
			{
				radioBtnError=true;
				$('#radio2').text(" **plese select anyone");	  
			}
			else 
			{
				radioBtnError=false;
				$('#radio2').text("");
			}
			return radioBtnError;
		}
		function validateCheckbox(check1)
		{
			if(check1.length==0)
			{ 
				checkboxError=true;
				$('#checkboxees').text(" **please choose one/more options");	
			}
			else
			{
				checkboxError=false;
				$('#checkboxees').text("");
			}
				return checkboxError;
		}
		function validateUploadFile(cv)
		{
			if(cv == "")
			{
				uploadfileError=true;
				$('#myresume').text(" **please upload your resume");
			}
			else
			{
				uploadfileError=false;
				$('#myresume').text("");
			}
				return uploadfileError;
		}
		function validateTextarea(textarea)
		{
			
			if(textarea.trim() == "")
			{
				textareaError=true;
				$('#txtar').text(" **please writes any comments");
			}
			else
			{
				textareaError=false;
				$('#txtar').text("");
			}
			return textareaError;
		}
	});
});
</script>
</body>
</html>